<template lang="pug">
.app-alert(:class="variantClass")
    slot
</template>

<script>
export default {
    name: 'AppAlert',
    props: {
        variant: {
            type: String,
            default: 'primary'
        }
    },
    computed: {
        variantClass(){
            if(this.variant === 'warning'){
                return `bg-warning-light text-yellow-80`
            }
            return `bg-${this.variant}-light text-${this.variant}`
        }
    }
}
</script>

<style lang="scss" scoped src="./index.scss"></style>